Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/accounting/v1/posmappings

Prev Next
Get
/public/accounting/v1/posmappings

Retrieves POS mappings with their associated GL accounts. Returns POS accounts as top-level items with nested GL account information.

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
modifiedOnStart
string (date-time)

Modified date start (inclusive). If not provided but modifiedOnEnd is provided, defaults to modifiedOnEnd date

modifiedOnEnd
string (date-time)

Modified date end (inclusive)

type
string

POS mapping type. Valid values: Sales Account, Payment Type, Job Title, Paid Out Type

pageSize
integer (int32)

Number of results per page. Default: 250, Max: 250

continuationToken
string

Continuation token for pagination. Use the nextLink from a previous response to get the next page of results

Responses
200

POS Mappings with their associated GL Accounts and pagination support.

Expand All
object

Response containing POS mappings with pagination support.

posMappings
Array of object (PosMappingWithGlAccount) | null

The collection of POS mappings for the current page.

object

POS mapping with associated GL accounts.

id
string (uuid)

POS Account identifier.

type
string | null

POS mapping type (e.g., "Sales Account", "Job Title", "Payment Type", "Paid Out Type").

name
string | null

POS account name.

modifiedOn
string (date-time) | null

Last modified date.

glAccount
object (GlAccount)

GL Account summary for POS mapping response.

id
string (uuid)

GL Account identifier.

name
string | null

GL Account name.

number
string | null

GL Account number (e.g., "4010-100").

glType
string | null

GL Type name (e.g., "Sales", "Revenue", "Expense").

nextLink
string | null

URL to retrieve the next page of results, or null if this is the last page.

422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Accounting.Public.Models.R365Error)
errorCode
string | null
innerError
object (R365.Accounting.Public.Models.R365Error) Recursive